12 de diciembre de 2018, 07:03:22 pm

Autor Tema: Se necesita Blender, el paquete libre de creación de contenidos en 3D  (Leído 790 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado ernestto

  • Novato
  • *
  • Mensajes: 1
  • Karma: +0/-0
    • Develop Site
Tengo este problema con OPENSHOT con los titulos animados
La configuracion es:
Ruta de Blender:
/usr/lib/blender/blender

Desconectado spiridon

  • Novato
  • *
  • Mensajes: 10
  • Karma: +0/-0
Re:Se necesita Blender, el paquete libre de creación de contenidos en 3D
« Respuesta #1 : 19 de enero de 2018, 04:07:07 pm »
Hola,
si el paquete blender no está instalado en el sistema, se puede instalar desde el gestor de paquetes, en Sistema -> Administración -> Gestor de paquetes Synaptic.
Si está instalado y openshot no lo encuentra, puede que sea necesario ajustar la ruta del ejecutable en las preferencias de openshot (Editar -> Preferencias -> General), en mi configuración es simplemente 'blender', en todo caso la ruta es /usr/bin/blender.
Saludos!

Desconectado Ricardo M. MORALES

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 689
  • Karma: +26/-0
    • Red Educativa Sanjuanina
Re:Se necesita Blender, el paquete libre de creación de contenidos en 3D
« Respuesta #2 : 19 de enero de 2018, 07:29:17 pm »
en muchas computadoras, incluso poniendo la ruta correcta, y verificada, sigue fallando.
Ricardo M. MORALES (Rivadavia)
Red Educativa Sanjuanina
San Juan, Argentina
"No les des peces, enséñales a poner la mesa, para que mami sirva la comida. Educación Privativa del Siglo XX. ¿Cuántos se quedaron allá?" (AutoDelirium)

Desconectado spiridon

  • Novato
  • *
  • Mensajes: 10
  • Karma: +0/-0
Re:Se necesita Blender, el paquete libre de creación de contenidos en 3D
« Respuesta #3 : 20 de enero de 2018, 01:34:28 pm »
en muchas computadoras, incluso poniendo la ruta correcta, y verificada, sigue fallando.
¿Fallan todas las animaciones o sólo algunas?
En mi máquina algunos títulos animados dan error, pero la mayoría anda bien.
Si al correr openshot en una terminal, cuando intentamos generar la animación vemos algo como esto:
Código: [Seleccionar]
...
Blender command: /usr/bin/blender -b '/usr/lib/pymodules/python2.7/openshot/blender/blend/explode.blend' -P '/home/eris/.openshot/blender/43f59df6-fda0-11e7-a338-74c63b905f1b/explode.py'
AL lib: (WW) alc_initconfig: Failed to initialize backend "pulse"
AL lib: (EE) UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
Traceback (most recent call last):
  File "/home/eris/.openshot/blender/43f59df6-fda0-11e7-a338-74c63b905f1b/explode.py", line 268, in <module>
    createExplodeTxt(params["title"],params["particle_number"],params["extrude"],params["bevel_depth"],params["spacemode"],params["text_size"],params["width"], font, params["ground_on_off"])
  File "/home/eris/.openshot/blender/43f59df6-fda0-11e7-a338-74c63b905f1b/explode.py", line 55, in createExplodeTxt
    bpy.context.scene.objects.active  = bpy.data.objects['Text']
KeyError: 'bpy_prop_collection[key]: key "Text" not found'
No frame was found in the output from Blender
...
el problema no está en la ruta (blender se ejecuta) sino en un script del paquete openshot, están en /usr/share/pyshared/openshot/blender/scripts, uno para cada animación.
Presumo que hay una incompatibilidad entre los scripts de openshot y las librerías de python que levanta, que son de blender.
¿En otras máquinas pasa lo mismo?